import request from '@/utils/request'

// 查询过期提醒--分页
export function listExpiredReminder(query) {
  return request({
    url: '/iscs/loan/getExpiredReminderPage',
    method: 'get',
    params: query
  })
}

// 新增过期提醒信息 /dev-api/iscs/type/insertIsMaterialsType
export function addExpiredReminder(data) {
  return request({
    url: '/iscs/type/insertIsMaterialsType',
    method: 'post',
    data: data
  })
}

// 修改过期提醒信息 /dev-api/iscs/type/updateIsMaterialsType
export function updateExpiredReminder(data) {
  return request({
    url: '/iscs/type/updateIsMaterialsType',
    method: 'post',
    data: data
  })
}

// 删除过期提醒信息 /dev-api/iscs/type/deleteIsMaterialsTypeByMaterialsTypeIds
export function deleteExpiredReminder(data) {
  return request({
    url: '/iscs/type/deleteIsMaterialsTypeByMaterialsTypeIds?materialsTypeIds=' + data,
    method: 'post',
  })
}

// 获取物资详细信息/dev-api/iscs/type/selectIsMaterialsTypeById
export function selectExpiredReminderById(query) {
  return request({
    url: '/iscs/type/selectIsMaterialsTypeById?materialsTypeId=' + query,
    method: 'get',
  })
}
